/* Autor:           Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
   Firma:           HS Harz, FB AI
   Version:         1.1
   Ersterstellung:  07.06.2006
   Letzte Änderung: 11.11.2010
*/

import java.io.*;

// ASCII-Ausgabe in eine Datei mit den Klassen
// BufferedOutputStream und Printstream

public class WriteASCII02 {

  private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


  private static void test() {
		// Stream
	// Beispiel mit Buffer Funktion
    try {
      FileOutputStream fout = new FileOutputStream("1.dat");
         // mit BufferedOutputStream erreicht man eine höhere Geschwindigkeit

         // es wird zwischengespeichert 
      BufferedOutputStream bout=new BufferedOutputStream(fout);
       		// Druckausgabe

      PrintStream p = new PrintStream(bout);
      p.println("Hallo");
      p.print("1. Zeile");
    	p.print(1233);
    	p.print(" ");
    	p.println("12.33");
    	p.println("Letzte Zeile");
    	p.close();

    }
    catch (IOException ee) {
        System.err.println("IOException: " + ee);
    }
    System.out.println("Es wurde die Datei 1.dat erzeugt");
    System.out.println("Bitte Taste druecken");
  }

  public static void main(String argv[]) {
    test();
    pause();    
  }  // main
}


